{% from "prometheus/map.jinja" import gainsight_elasticsearch with context %}
{%- if gainsight_elasticsearch.enabled %}

{%- if pillar.docker is defined and pillar.docker.host is defined %}

{{gainsight_elasticsearch.dir.config}}:
  file.directory:
    - makedirs: True

{{gainsight_elasticsearch.dir.crontab}}:
  file.directory:
    - makedirs: True

{{gainsight_elasticsearch.dir.csv}}:
  file.directory:
    - makedirs: True

{{gainsight_elasticsearch.dir.config}}/config.ini:
  file.managed:
  - source: salt://prometheus/files/gainsight/gainsight_elasticsearch_config.yml
  - template: jinja
  - require:
    - file: {{gainsight_elasticsearch.dir.config}}

{{gainsight_elasticsearch.dir.crontab}}/crontab:
  file.managed:
  - source: salt://prometheus/files/gainsight/gainsight_elasticsearch_crontab.yml
  - template: jinja
  - require:
    - file: {{gainsight_elasticsearch.dir.crontab}}

{%- endif %}
{%- endif %}
